# AES256CTR (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.transport.cipher
Class AES256CTR

    java.lang.Object
      net.schmizz.sshj.transport.cipher.BaseCipher
          net.schmizz.sshj.transport.cipher.AES256CTR

All Implemented Interfaces:
  Cipher

    public class AES256CTR

extends BaseCipher

`aes256-ctr` cipher

Nested Class Summary
`static class` `AES256CTR.Factory` Named factory for AES256CBC Cipher

Nested classes/interfaces inherited from interface net.schmizz.sshj.transport.cipher.Cipher
`Cipher.Mode`

Constructor Summary
`AES256CTR()`

Method Summary

Methods inherited from class net.schmizz.sshj.transport.cipher.BaseCipher
`getBlockSize, getIVSize, init, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AES256CTR

    public AES256CTR()

Copyright © 2009-2012. All Rights Reserved.